Modify the name of an entry

- « ldap_read

- ldap_rename »

- PHP Manual
- LDAP Functions
- Modify the name of an entry

# ldap_rename_ext

(PHP 7 >= 7.3.0, PHP 8)

ldap_rename_ext — Modify the name of an entry

### Description

ldap_rename_ext(
LDAP\Connection `$ldap`,
string `$dn`,
string `$new_rdn`,
string `$new_parent`,
bool `$delete_old_rdn`,
?array `$controls` = `null`
): LDAP\Result|false

Does the same thing as ldap_rename() but returns an LDAP\Result instance to be parsed with ldap_parse_result().

### Parameters

See ldap_rename()

### Return Values

Returns an LDAP\Result instance, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `ldap` parameter expects an LDAP\Connection instance now; previously, a valid `ldap link` resource was expected.
8.1.0 | Returns an LDAP\Result instance now; previously, a resource was returned.
8.0.0 | `controls` is nullable now; previously, it defaulted to `[]`.
7.3.0 | Support for `controls` added

### See Also

- ldap_rename() - Modify the name of an entry
- ldap_parse_result() - Extract information from result